- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# vcsn::algebra::krat_exp_lexing Namespace Reference
[Algebra, Series]

Misc. declarations used for rational expression lexing. More...

## Enumerations
enum | token_e
| Token types enumeration. More...

## Detailed Description

Misc. declarations used for rational expression lexing.

## Enumeration Type Documentation

enum token_e

Token types enumeration.

Those are the different token types the lexer could encounter.

See also:
  `KRatExpToken`, `KRatExpToken::token`

Definition at line 47 of file krat_exp_parser.hxx.